/*
 * Copyright 2002-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.orm.hibernate3;

/**
 * Subclass of LocalDataSourceConnectionProvider that will be used
 * if LocalSessionFactoryBean's "dataSource" property is set
 * in combination with a Hibernate TransactionManagerLookup.
 *
 * @author Juergen Hoeller
 * @since 2.5.1
 * @deprecated as of Spring 4.3, in favor of Hibernate 4.x/5.x
 */
@Deprecated
public class LocalJtaDataSourceConnectionProvider extends LocalDataSourceConnectionProvider {

	/**
	 * This implementation returns {@code true},
	 * since we're assuming a JTA DataSource.
	 */
	@Override
	public boolean supportsAggressiveRelease() {
		return true;
	}

}
